summaryrefslogtreecommitdiff
path: root/modules
diff options
context:
space:
mode:
authorMichael Hoang <Enzime@users.noreply.github.com>2024-11-21 22:52:27 +0000
committerGitHub <noreply@github.com>2024-11-21 22:52:27 +0000
commitedabc790a834326dcb5810e2698fa743483510d0 (patch)
tree3320289556807a3cb0d7b44a5b4bf25c6e7285b0 /modules
parent61cee20168a3ebb71a9efd70a55adebaadfbe4d4 (diff)
parent095ba5502c83c5fd8173a1b0dbc99a0e1be7e42d (diff)
Merge pull request #1177 from Enzime/remove/installer
installer: remove
Diffstat (limited to 'modules')
-rw-r--r--modules/examples/flake/flake.nix5
-rw-r--r--modules/examples/simple.nix5
-rw-r--r--modules/system/base.nix73
3 files changed, 41 insertions, 42 deletions
diff --git a/modules/examples/flake/flake.nix b/modules/examples/flake/flake.nix
index dbcc420..4520b8f 100644
--- a/modules/examples/flake/flake.nix
+++ b/modules/examples/flake/flake.nix
@@ -30,7 +30,7 @@
system.stateVersion = 5;
# The platform the configuration will be used on.
- nixpkgs.hostPlatform = "x86_64-darwin";
+ nixpkgs.hostPlatform = "aarch64-darwin";
};
in
{
@@ -39,8 +39,5 @@
darwinConfigurations."simple" = nix-darwin.lib.darwinSystem {
modules = [ configuration ];
};
-
- # Expose the package set, including overlays, for convenience.
- darwinPackages = self.darwinConfigurations."simple".pkgs;
};
}
diff --git a/modules/examples/simple.nix b/modules/examples/simple.nix
index 8d769a2..5771ec6 100644
--- a/modules/examples/simple.nix
+++ b/modules/examples/simple.nix
@@ -7,9 +7,8 @@
[ pkgs.vim
];
- # Use a custom configuration.nix location.
- # $ darwin-rebuild switch -I darwin-config=$HOME/.config/nixpkgs/darwin/configuration.nix
- # environment.darwinConfig = "$HOME/.config/nixpkgs/darwin/configuration.nix";
+ # Use custom location for configuration.nix.
+ environment.darwinConfig = "$HOME/.config/nix-darwin/configuration.nix";
# Enable alternative shell support in nix-darwin.
# programs.fish.enable = true;
diff --git a/modules/system/base.nix b/modules/system/base.nix
index 43c9d7f..f20e2b6 100644
--- a/modules/system/base.nix
+++ b/modules/system/base.nix
@@ -2,46 +2,49 @@
{
system.activationScripts.createRun.text = ''
- if [[ ! -L /run ]]; then
- # This file doesn't exist by default on macOS and is only supported after 10.15
- # however every system with Nix installed should have this file otherwise `/nix`
- # wouldn't exist.
- if [[ -e /etc/synthetic.conf ]]; then
- if ! grep -q '^run\b' /etc/synthetic.conf 2>/dev/null; then
- echo "setting up /run via /etc/synthetic.conf..."
- printf 'run\tprivate/var/run\n' | sudo tee -a /etc/synthetic.conf >/dev/null
- fi
+ IFS="." read -r -a macOSVersion <<< "$(sw_vers -productVersion)"
- # for Catalina (10.15)
- sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -B &>/dev/null || true
- # for Big Sur (11.0)
- sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -t &>/dev/null || true
+ if [[ ''${macOSVersion[0]} -gt 10 || ( ''${macOSVersion[0]} -eq 10 && ''${macOSVersion[1]} -ge 15 ) ]]; then
+ if ! grep -q '^run\b' /etc/synthetic.conf 2>/dev/null; then
+ echo "setting up /run via /etc/synthetic.conf..."
+ printf 'run\tprivate/var/run\n' | sudo tee -a /etc/synthetic.conf >/dev/null
+ fi
- if [[ ! -L /run ]]; then
- printf >&2 'error: apfs.util failed to symlink /run, aborting activation\n'
- printf >&2 'To create a symlink from /run to /var/run, please run:\n'
- printf >&2 '\n'
- printf >&2 "$ printf 'run\tprivate/var/run\n' | sudo tee -a /etc/synthetic.conf"
- printf >&2 '$ sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -B # For Catalina\n'
- printf >&2 '$ sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -t # For Big Sur and later\n' >&2
- printf >&2 '\n'
- printf >&2 'The current contents of /etc/synthetic.conf is:\n'
- printf >&2 '\n'
- sudo sed 's/^/ /' /etc/synthetic.conf >&2
- printf >&2 '\n'
- exit 1
- fi
+ if [[ ''${macOSVersion[0]} -gt 10 ]]; then
+ sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -t || true
else
- echo "setting up /run..."
- sudo ln -sfn private/var/run /run
+ sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -B || true
+ fi
- if [[ ! -L /run ]]; then
- printf >&2 'error: failed to symlink /run, aborting activation\n'
- printf >&2 'To create a symlink from /run to /var/run, please run:\n'
- printf >&2 '\n'
- printf >&2 '$ sudo ln -sfn private/var/link /run\n'
- exit 1
+ if [[ ! -L /run ]]; then
+ printf >&2 'error: apfs.util failed to symlink /run, aborting activation\n'
+ printf >&2 'To create a symlink from /run to /var/run, please run:\n'
+ printf >&2 '\n'
+ printf >&2 "$ printf 'run\tprivate/var/run\n' | sudo tee -a /etc/synthetic.conf"
+
+ if [[ ''${macOSVersion[0]} -gt 10 ]]; then
+ printf >&2 '$ sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -t\n'
+ else
+ printf >&2 '$ sudo /System/Library/Filesystems/apfs.fs/Contents/Resources/apfs.util -B\n'
fi
+
+ printf >&2 '\n'
+ printf >&2 'The current contents of /etc/synthetic.conf is:\n'
+ printf >&2 '\n'
+ sudo sed 's/^/ /' /etc/synthetic.conf >&2
+ printf >&2 '\n'
+ exit 1
+ fi
+ else
+ echo "setting up /run..."
+ sudo ln -sfn private/var/run /run
+
+ if [[ ! -L /run ]]; then
+ printf >&2 'error: failed to symlink /run, aborting activation\n'
+ printf >&2 'To create a symlink from /run to /var/run, please run:\n'
+ printf >&2 '\n'
+ printf >&2 '$ sudo ln -sfn private/var/link /run\n'
+ exit 1
fi
fi
'';